<?xml version="1.0"?>
<configuration>
  <!--SUBSTITUIR [APPPATH]\ pelo PATH DA APLICACAO -->
  <configSections>
    <sectionGroup name="Zuri.ADImport">
      <section name="Configuration" type="Zuri.ADImport.Configuration.ADSectionGroup,Zuri.ADImport.Configuration"/>
    </sectionGroup>
  </configSections>
  <Zuri.ADImport>
    <Configuration>
      <ADProviders>
         <add ImportAlias = "AD" 
         LDAPPath = "LDAP://mydomain.com/" 
         UserName = "USERNAME" 
         UserPWD = "PASSWORD" 
         Domain = "DOMAIN" 
         UserFilter = "" 
         ImportRoles = "false" 
         ImportRoleUsers = "false"
         RolesFilter = "" 
         RoleNameFormat="" 
         AppendDomainToLogin = "false" 
         AppendOUToLogin = "false" 
         MissingEmailDomain = "" 
         />
        <!--<add ImportAlias = "SECOND AD"
        LDAPPath = "LDAP://myotherdomain.com/"
        UserName = "USERNAME"
        UserPWD = "PASSWORD"
        Domain = "DOMAIN"
        UserFilter = ""
        ImportRoles = "false"
        ImportRoleUsers = "false"
        RolesFilter = ""
        RoleNameFormat=""
        AppendDomainToLogin = "false"
        AppendOUToLogin = "false"
        MissingEmailDomain = ""
         />-->
      </ADProviders>
      <Fields>
        <add  ZuriProperty="FullName" ADProperty="{GivenName} {sn}" />
        <!--<add  ZuriProperty = "FullName" ADProperty = "DisplayName" />-->
        <!-- <add  ZuriProperty="Login" ADProperty="SamAccountName" /> -->
        <!-- <add  ZuriProperty = "BirthDate" ADProperty = "Description" Format = "dd/MM/yyyy" /> -->
        <!-- <add  ZuriProperty = "Email" ADProperty = "Mail" /> -->
        <!-- <add  ZuriProperty = "Company" ADProperty = "Company" />         -->
        <!-- <add  ZuriProperty="Area" ADProperty="Department" /> -->
        <!-- <add  ZuriProperty="Extention" ADProperty="PostOfficeBox" /> -->
        <!-- <add  ZuriProperty="PhoneWork" ADProperty="TelephoneNumber" /> -->
        <!-- <add  ZuriProperty="JobTitle" ADProperty="Title" /> -->
      </Fields>
    </Configuration>
  </Zuri.ADImport>
  <connectionStrings/>
  <appSettings>
    <!--<add key="WFFramework.EnableNumericLogin" value="true"/>-->
  </appSettings>
  <system.web>
    <!--<trace enabled ="true" pageOutput ="false" requestLimit ="100" writeToDiagnosticsTrace="true" traceMode="SortByTime" />-->
    <roleManager enabled="true" defaultProvider="WFRoleProvider">
      <providers>
        <clear />
        <add name="WFRoleProvider" type="WebFoundations.BaseProviders.WFRoleProvider,WebFoundations.BaseProviders" />
      </providers>
    </roleManager>
    <membership defaultProvider="WFMembershipProvider" userIsOnlineTimeWindow="1">
      <providers>
        <!--passwordAttemptWindow : Se o numero de tentativas invalidas for atingido dentro 
        deste numero de minutos entao trava o usuario-->
        <clear />
        <add name="WFMembershipProvider" type="WebFoundations.BaseProviders.WFMembershipProvider,WebFoundations.BaseProviders"
             maxInvalidPasswordAttempts="50" passwordAttemptWindow="5" minRequiredNonAlphanumericCharacters="0"
             minRequiredPasswordLength="0" passwordStrengthRegularExpression="" enablePasswordReset="true"
             enablePasswordRetrieval="false" requiresQuestionAndAnswer="false" requiresUniqueEmail="false"
             passwordFormat="encrypted" />
      </providers>
    </membership>
    <profile enabled="false" defaultProvider="WFProfileProvider">
      <providers>
        <clear />
        <add name="WFProfileProvider" type="WebFoundations.BaseProviders.WFProfileProvider, WebFoundations.BaseProviders" />
      </providers>
    </profile>
    <healthMonitoring heartbeatInterval="0" enabled="true">
      <profiles>
        <clear />
        <add name="Default" minInstances="1" maxLimit="Infinite" minInterval="00:00:00" custom="" />
      </profiles>
      <bufferModes>
        <clear />
        <add name="LogFileBuffer"   maxBufferSize="50000"  maxFlushSize="50000" urgentFlushThreshold="1"  regularFlushInterval="00:00:02" urgentFlushInterval="00:00:01" maxBufferThreads="1" />
      </bufferModes>
      <providers>
        <clear />
        <add name="LogFileProvider"         type="WebFoundations.Monitoring.EventProviders.FileLog,WebFoundations.Monitoring.EventProviders"  buffer="true"   bufferMode="LogFileBuffer" LogPath="[APPPATH]\_Logs\" />
        <add name="SimpleLogFileProvider"   type="WebFoundations.Monitoring.EventProviders.SimpleFileLog,WebFoundations.Monitoring.EventProviders"  buffer="true"   bufferMode="LogFileBuffer" LogPath="[APPPATH]\_Logs\" />
        <add name="AuditLogFileProvider"    type="WebFoundations.Monitoring.EventProviders.FileLog,WebFoundations.Monitoring.EventProviders"  buffer="true"   bufferMode="LogFileBuffer" LogPath="[APPPATH]\_Logs\Audit\" />
      </providers>
      <eventMappings>
        <clear />
        <add name="Audit"             type="WebFoundations.Monitoring.AuditEvent,WebFoundations.Monitoring" />
        <add name="Warning"           type="WebFoundations.Monitoring.WarningEvent,WebFoundations.Monitoring" />
        <add name="CriticalError"     type="WebFoundations.Monitoring.CriticalError,WebFoundations.Monitoring" />
        <add name="NonCriticalError"  type="WebFoundations.Monitoring.NonCriticalError,WebFoundations.Monitoring" />
        <add name="Performance"       type="WebFoundations.Monitoring.PerformanceMonitor,WebFoundations.Monitoring" />
        <add name="DataAccessError"   type="WebFoundations.Monitoring.DataAccessError,WebFoundations.Monitoring" />
        <add name="Information"       type="WebFoundations.Monitoring.InformationEvent,WebFoundations.Monitoring" />
        <add name="Trace"             type="WebFoundations.Monitoring.TraceEvent,WebFoundations.Monitoring" />
        <add name="GeneralError"      type="WebFoundations.Monitoring.GeneralError,WebFoundations.Monitoring" />
        <add name="Tracking"          type="WebFoundations.Monitoring.Tracking,WebFoundations.Monitoring" />
      </eventMappings>
      <rules>
        <clear />
        <add name="WARNING_FILE"      eventName="Warning"           provider="SimpleLogFileProvider"        profile="Default" />
        <add name="CRITICAL_FILE"     eventName="CriticalError"     provider="SimpleLogFileProvider"        profile="Default"/>
        <add name="NONCRITICAL_FILE"  eventName="NonCriticalError"  provider="SimpleLogFileProvider"        profile="Default"/>
        <add name="INFORMATION_FILE"  eventName="Information"       provider="SimpleLogFileProvider"        profile="Default" />
        <add name="GENERAL_FILE"  	  eventName="GeneralError"  	provider="SimpleLogFileProvider"        profile="Default"/>
      </rules>
    </healthMonitoring>
    <compilation debug="true" strict="false" explicit="true" targetFramework="4.7.2"/>
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID">
      <namespaces>
        <clear/>
        <add namespace="System"/>
        <add namespace="System.Collections"/>
        <add namespace="System.Collections.Generic"/>
        <add namespace="System.Collections.Specialized"/>
        <add namespace="System.Configuration"/>
        <add namespace="System.Text"/>
        <add namespace="System.Text.RegularExpressions"/>
        <add namespace="System.Linq"/>
        <add namespace="System.Xml.Linq"/>
        <add namespace="System.Web"/>
        <add namespace="System.Web.Caching"/>
        <add namespace="System.Web.SessionState"/>
        <add namespace="System.Web.Security"/>
        <add namespace="System.Web.Profile"/>
        <add namespace="System.Web.UI"/>
        <add namespace="System.Web.UI.WebControls"/>
        <add namespace="System.Web.UI.WebControls.WebParts"/>
        <add namespace="System.Web.UI.HtmlControls"/>
      </namespaces>
    </pages>
    <authentication mode="Windows"/>
  </system.web>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-11.0.0.0" newVersion="11.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
